#
# spec file
#
# Copyright (c) 2021-2022 cunix
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define short_name  rsign

# repeated here to guard against script deletes
#
# Copyright (c) 2021-2022 cunix
#

Name:           %{short_name}2
Version:        0.6.3+0
Release:        bp156.1.10
Summary:        Command-line tool to sign files and verify signatures
License:        MIT
Group:          Productivity/Security
URL:            https://github.com/jedisct1/%{name}
Source0:        %{name}-%{version}.tar.xz
Source1:        vendor.tar.xz
Source2:        cargo_config
# on 20230623 at least crate "clap" had this minimum version requirement
BuildRequires:  cargo >= 1.64
BuildRequires:  vendored_licenses_packager
Provides:       %{short_name} = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Rust implementation of Minisign, a tool to sign files and verify signatures.

%prep
%setup -q -n %{name}-%{version}
%setup -q -D -T -a 1

mkdir .cargo
cp %{SOURCE2} .cargo/config

%vendored_licenses_packager_prep

%build
cargo build --release %{?_smp_mflags}

%install
cargo install --path . --root=%{buildroot}%{_prefix}

rm %{buildroot}%{_prefix}/.crates.toml
rm %{buildroot}%{_prefix}/.crates2.json

%vendored_licenses_packager_install

%files
%{_bindir}/%{short_name}
%doc README.md
%license LICENSE
%vendored_licenses_packager_files

%changelog
* Fri Jun 23 2023 cunix@mail.de
- Update to 0.6.3
  * support passwordless secret keys
  * dependencies updated
- Bump minimum Rust version to 1.64
* Tue Mar 22 2022 cunix@mail.de
- switched to vendored_licenses_packager as build dependency
* Sat Jan 15 2022 cunix@mail.de
- Bump minimum Rust version to 1.46
- Catch more vendored licenses
* Fri Jan  7 2022 William Brown <william.brown@suse.com>
- Update to 0.6.1
- Change packaging to use obs_scm and cargo services
* Tue Feb 16 2021 cunix@mail.de
- Initial rsign2 package version 0.5.7
